Zercurity data services
  • Summary
  • Applications (4)
  • Packages (0)
  • Vulnerabilities (32)

hyperv-daemons

Hashes
Support daemons for Linux running on Hyper-V Suite of daemons for Linux guests running on Hyper-V, consisting of hv_fcopy_daemon, hv_kvp_daemon and hv_vss_daemon. hv_fcopy_daemon provides the file copy service, allowing the host to copy files into the guest. hv_kvp_daemon provides the key-value pair (KVP) service, allowing the host to get and set the IP networking configuration of the guest. (This requires helper scripts which are not currently included.) hv_vss_daemon provides the volume shadow copy service (VSS), allowing the host to freeze the guest filesystems while taking a snapshot.
  • SHA256: 1b9cd1f150557846976e8c75de326469d9f02d2492b0df8ae148ede82f2f927b
  • SHA1: fcc84a2ef30387547a3789dfc59aee6a342f6d6d
  • MD5: aaaaf7ab21eb67163798d492b0107c04
Information
  • Version: 4.9.168-1+deb9u4
  • Filename: hyperv-daemons_4.9.168-1+deb9u4_i386.deb
  • Size: 701
  • Type: DEB
  • Source: linux
  • Architecture: I386
  • URL: https://www.kernel.org/
  • Owner: Debian Kernel Team <debian-kernel@lists.debian.org>
  • Dependencies: lsb-base, libc6 (>= 2.4), init-system-helpers (>= 1.18~)

Applications

NameTypeArchSizeRisk
hv_kvp_daemon
/usr/sbin/hv_kvp_daemon
223320
hv_vss_daemon
/usr/sbin/hv_vss_daemon
98680
hv_fcopy_daemon
/usr/sbin/hv_fcopy_daemon
98360
check-hyperv
/lib/hyperv-daemons/check-hyperv
55960

Vulnerabilities

NameRiskSourceFixed
CVE-2015-855365DSA
DSA-4497-1
CVE-2017-1850978DSA
DSA-4497-1
CVE-2018-599555DSA
DSA-4497-1
CVE-2018-2083693DSA
DSA-4497-1
CVE-2018-2085678DSA
DSA-4497-1
CVE-2019-112555DSA
DSA-4497-1
CVE-2019-388255DSA
DSA-4497-1
CVE-2019-390077DSA
DSA-4497-1
CVE-2019-1020755DSA
DSA-4497-1
CVE-2019-1063865DSA
DSA-4497-1
CVE-2019-1063975DSA
DSA-4497-1
CVE-2019-1363168DSA
DSA-4497-1
CVE-2019-1364855DSA
DSA-4497-1
CVE-2019-1428368DSA
DSA-4497-1
CVE-2019-1428462DSA
DSA-4497-1
CVE-2019-1523978DSA
DSA-4497-1
CVE-2015-855365DSA
DSA-4497-1
hyperv-daemons
4.9.168-1+deb9u5
CVE-2017-1850978DSA
DSA-4497-1
hyperv-daemons
4.9.168-1+deb9u5
CVE-2018-599555DSA
DSA-4497-1
hyperv-daemons
4.9.168-1+deb9u5
CVE-2018-2083693DSA
DSA-4497-1
hyperv-daemons
4.9.168-1+deb9u5
CVE-2018-2085678DSA
DSA-4497-1
hyperv-daemons
4.9.168-1+deb9u5
CVE-2019-112555DSA
DSA-4497-1
hyperv-daemons
4.9.168-1+deb9u5
CVE-2019-388255DSA
DSA-4497-1
hyperv-daemons
4.9.168-1+deb9u5
CVE-2019-390077DSA
DSA-4497-1
hyperv-daemons
4.9.168-1+deb9u5
CVE-2019-1020755DSA
DSA-4497-1
hyperv-daemons
4.9.168-1+deb9u5
CVE-2019-1063865DSA
DSA-4497-1
hyperv-daemons
4.9.168-1+deb9u5
CVE-2019-1063975DSA
DSA-4497-1
hyperv-daemons
4.9.168-1+deb9u5
CVE-2019-1363168DSA
DSA-4497-1
hyperv-daemons
4.9.168-1+deb9u5
CVE-2019-1364855DSA
DSA-4497-1
hyperv-daemons
4.9.168-1+deb9u5
CVE-2019-1428368DSA
DSA-4497-1
hyperv-daemons
4.9.168-1+deb9u5
CVE-2019-1428462DSA
DSA-4497-1
hyperv-daemons
4.9.168-1+deb9u5
CVE-2019-1523978DSA
DSA-4497-1
hyperv-daemons
4.9.168-1+deb9u5

Raw Object

{
  "sha256": "1b9cd1f150557846976e8c75de326469d9f02d2492b0df8ae148ede82f2f927b",
  "sha1": "fcc84a2ef30387547a3789dfc59aee6a342f6d6d",
  "md5": "aaaaf7ab21eb67163798d492b0107c04",
  "type": "DEB",
  "arch": "I386",
  "name": "hyperv-daemons",
  "filename": "hyperv-daemons_4.9.168-1+deb9u4_i386.deb",
  "size": 701,
  "description": "Support daemons for Linux running on Hyper-V\nSuite of daemons for Linux guests running on Hyper-V, consisting of\nhv_fcopy_daemon, hv_kvp_daemon and hv_vss_daemon.\n\nhv_fcopy_daemon provides the file copy service, allowing the host to copy\nfiles into the guest.\n\nhv_kvp_daemon provides the key-value pair (KVP) service, allowing the host\nto get and set the IP networking configuration of the guest.  (This\nrequires helper scripts which are not currently included.)\n\nhv_vss_daemon provides the volume shadow copy service (VSS), allowing the\nhost to freeze the guest filesystems while taking a snapshot.",
  "url": "https://www.kernel.org/",
  "version": "4.9.168-1+deb9u4",
  "source": "linux",
  "owner": "Debian Kernel Team <debian-kernel@lists.debian.org>",
  "dependencies": "lsb-base, libc6 (>= 2.4), init-system-helpers (>= 1.18~)",
  "applications": [
    {
      "path": "/usr/sbin/hv_kvp_daemon",
      "sha256": "47c237fb1ac46c2c3d1ee48d01ff77343433e1b73bc17c7c0f9bf73ed8b32fb4",
      "sha1": "5b9783fb3245fd1ac195ddc7311f8e10bde4ce04",
      "md5": "5159a21cb769aa3c9d4923b275bf90b1",
      "name": "hv_kvp_daemon",
      "size": 22332,
      "description": null,
      "package": 1079164,
      "platform": "LINUX",
      "risk": 0,
      "vulnerable": null,
      "outdated": null,
      "malicious": null,
      "created_at": "2021-03-09T02:47:57+00:00",
      "updated_at": "2021-03-09T02:47:57+00:00",
      "deleted_at": null
    },
    {
      "path": "/usr/sbin/hv_vss_daemon",
      "sha256": "6c6df31b5bf8f353ba950af44f743e7908ed7a89c59610ebd78e18d7cc1a3166",
      "sha1": "1cd17092d177da8de6a8ffc49474859798e8a452",
      "md5": "030f7b2a64cab86d350cc05a81536857",
      "name": "hv_vss_daemon",
      "size": 9868,
      "description": null,
      "package": 1079164,
      "platform": "LINUX",
      "risk": 0,
      "vulnerable": null,
      "outdated": null,
      "malicious": null,
      "created_at": "2021-03-09T02:47:57+00:00",
      "updated_at": "2021-03-09T02:47:57+00:00",
      "deleted_at": null
    },
    {
      "path": "/usr/sbin/hv_fcopy_daemon",
      "sha256": "253ddac5fee6c38a8301491f9474f24e5493b781ee99c3c8082e7e5262e8b9b2",
      "sha1": "f83c03a3fa7c2e93400b9f48b0ad1ee24f90b547",
      "md5": "883ab6ff65596a861db13b88aafbbe2e",
      "name": "hv_fcopy_daemon",
      "size": 9836,
      "description": null,
      "package": 1079164,
      "platform": "LINUX",
      "risk": 0,
      "vulnerable": null,
      "outdated": null,
      "malicious": null,
      "created_at": "2021-03-09T02:47:57+00:00",
      "updated_at": "2021-03-09T02:47:57+00:00",
      "deleted_at": null
    },
    {
      "path": "/lib/hyperv-daemons/check-hyperv",
      "sha256": "e2745601c4bb544764b5a0d5b414121c8907922d0f0b8b042657bf69963d1770",
      "sha1": "6d4324e1ee6a58423d6a7b53991013f7936f55eb",
      "md5": "672fac982c6d7de9419f7c01dd25952e",
      "name": "check-hyperv",
      "size": 5596,
      "description": null,
      "package": 1079164,
      "platform": "LINUX",
      "risk": 0,
      "vulnerable": null,
      "outdated": null,
      "malicious": null,
      "created_at": "2021-03-09T02:47:57+00:00",
      "updated_at": "2021-03-09T02:47:57+00:00",
      "deleted_at": null
    }
  ],
  "vulnerabilities": [
    {
      "name": "CVE-2015-8553",
      "risk": 65,
      "source": "DSA",
      "sid": "DSA-4497-1",
      "fixed": null,
      "created_at": "2021-03-09T08:09:58+00:00",
      "updated_at": "2021-03-09T08:09:58+00:00"
    },
    {
      "name": "CVE-2017-18509",
      "risk": 78,
      "source": "DSA",
      "sid": "DSA-4497-1",
      "fixed": null,
      "created_at": "2021-03-09T08:09:59+00:00",
      "updated_at": "2021-03-09T08:09:59+00:00"
    },
    {
      "name": "CVE-2018-5995",
      "risk": 55,
      "source": "DSA",
      "sid": "DSA-4497-1",
      "fixed": null,
      "created_at": "2021-03-09T08:10:00+00:00",
      "updated_at": "2021-03-09T08:10:00+00:00"
    },
    {
      "name": "CVE-2018-20836",
      "risk": 93,
      "source": "DSA",
      "sid": "DSA-4497-1",
      "fixed": null,
      "created_at": "2021-03-09T08:10:01+00:00",
      "updated_at": "2021-03-09T08:10:01+00:00"
    },
    {
      "name": "CVE-2018-20856",
      "risk": 78,
      "source": "DSA",
      "sid": "DSA-4497-1",
      "fixed": null,
      "created_at": "2021-03-09T08:10:02+00:00",
      "updated_at": "2021-03-09T08:10:02+00:00"
    },
    {
      "name": "CVE-2019-1125",
      "risk": 55,
      "source": "DSA",
      "sid": "DSA-4497-1",
      "fixed": null,
      "created_at": "2021-03-09T08:10:03+00:00",
      "updated_at": "2021-03-09T08:10:03+00:00"
    },
    {
      "name": "CVE-2019-3882",
      "risk": 55,
      "source": "DSA",
      "sid": "DSA-4497-1",
      "fixed": null,
      "created_at": "2021-03-09T08:10:04+00:00",
      "updated_at": "2021-03-09T08:10:04+00:00"
    },
    {
      "name": "CVE-2019-3900",
      "risk": 77,
      "source": "DSA",
      "sid": "DSA-4497-1",
      "fixed": null,
      "created_at": "2021-03-09T08:10:06+00:00",
      "updated_at": "2021-03-09T08:10:06+00:00"
    },
    {
      "name": "CVE-2019-10207",
      "risk": 55,
      "source": "DSA",
      "sid": "DSA-4497-1",
      "fixed": null,
      "created_at": "2021-03-09T08:10:07+00:00",
      "updated_at": "2021-03-09T08:10:07+00:00"
    },
    {
      "name": "CVE-2019-10638",
      "risk": 65,
      "source": "DSA",
      "sid": "DSA-4497-1",
      "fixed": null,
      "created_at": "2021-03-09T08:10:08+00:00",
      "updated_at": "2021-03-09T08:10:08+00:00"
    },
    {
      "name": "CVE-2019-10639",
      "risk": 75,
      "source": "DSA",
      "sid": "DSA-4497-1",
      "fixed": null,
      "created_at": "2021-03-09T08:10:09+00:00",
      "updated_at": "2021-03-09T08:10:09+00:00"
    },
    {
      "name": "CVE-2019-13631",
      "risk": 68,
      "source": "DSA",
      "sid": "DSA-4497-1",
      "fixed": null,
      "created_at": "2021-03-09T08:10:10+00:00",
      "updated_at": "2021-03-09T08:10:10+00:00"
    },
    {
      "name": "CVE-2019-13648",
      "risk": 55,
      "source": "DSA",
      "sid": "DSA-4497-1",
      "fixed": null,
      "created_at": "2021-03-09T08:10:11+00:00",
      "updated_at": "2021-03-09T08:10:11+00:00"
    },
    {
      "name": "CVE-2019-14283",
      "risk": 68,
      "source": "DSA",
      "sid": "DSA-4497-1",
      "fixed": null,
      "created_at": "2021-03-09T08:10:12+00:00",
      "updated_at": "2021-03-09T08:10:12+00:00"
    },
    {
      "name": "CVE-2019-14284",
      "risk": 62,
      "source": "DSA",
      "sid": "DSA-4497-1",
      "fixed": null,
      "created_at": "2021-03-09T08:10:13+00:00",
      "updated_at": "2021-03-09T08:10:13+00:00"
    },
    {
      "name": "CVE-2019-15239",
      "risk": 78,
      "source": "DSA",
      "sid": "DSA-4497-1",
      "fixed": null,
      "created_at": "2021-03-09T08:10:14+00:00",
      "updated_at": "2021-03-09T08:10:14+00:00"
    },
    {
      "name": "CVE-2015-8553",
      "risk": 65,
      "source": "DSA",
      "sid": "DSA-4497-1",
      "fixed": {
        "sha256": "6257390076bbf46594f3ba45f0f474bc5105120f708b5ae3d7ad87797fc3b121",
        "name": "hyperv-daemons",
        "version": "4.9.168-1+deb9u5",
        "filename": "hyperv-daemons_4.9.168-1+deb9u5_i386.deb"
      },
      "created_at": "2021-07-19T14:00:46+00:00",
      "updated_at": "2021-07-19T14:00:46+00:00"
    },
    {
      "name": "CVE-2017-18509",
      "risk": 78,
      "source": "DSA",
      "sid": "DSA-4497-1",
      "fixed": {
        "sha256": "6257390076bbf46594f3ba45f0f474bc5105120f708b5ae3d7ad87797fc3b121",
        "name": "hyperv-daemons",
        "version": "4.9.168-1+deb9u5",
        "filename": "hyperv-daemons_4.9.168-1+deb9u5_i386.deb"
      },
      "created_at": "2021-07-19T14:00:46+00:00",
      "updated_at": "2021-07-19T14:00:46+00:00"
    },
    {
      "name": "CVE-2018-5995",
      "risk": 55,
      "source": "DSA",
      "sid": "DSA-4497-1",
      "fixed": {
        "sha256": "6257390076bbf46594f3ba45f0f474bc5105120f708b5ae3d7ad87797fc3b121",
        "name": "hyperv-daemons",
        "version": "4.9.168-1+deb9u5",
        "filename": "hyperv-daemons_4.9.168-1+deb9u5_i386.deb"
      },
      "created_at": "2021-07-19T14:00:47+00:00",
      "updated_at": "2021-07-19T14:00:47+00:00"
    },
    {
      "name": "CVE-2018-20836",
      "risk": 93,
      "source": "DSA",
      "sid": "DSA-4497-1",
      "fixed": {
        "sha256": "6257390076bbf46594f3ba45f0f474bc5105120f708b5ae3d7ad87797fc3b121",
        "name": "hyperv-daemons",
        "version": "4.9.168-1+deb9u5",
        "filename": "hyperv-daemons_4.9.168-1+deb9u5_i386.deb"
      },
      "created_at": "2021-07-19T14:00:47+00:00",
      "updated_at": "2021-07-19T14:00:47+00:00"
    },
    {
      "name": "CVE-2018-20856",
      "risk": 78,
      "source": "DSA",
      "sid": "DSA-4497-1",
      "fixed": {
        "sha256": "6257390076bbf46594f3ba45f0f474bc5105120f708b5ae3d7ad87797fc3b121",
        "name": "hyperv-daemons",
        "version": "4.9.168-1+deb9u5",
        "filename": "hyperv-daemons_4.9.168-1+deb9u5_i386.deb"
      },
      "created_at": "2021-07-19T14:00:48+00:00",
      "updated_at": "2021-07-19T14:00:48+00:00"
    },
    {
      "name": "CVE-2019-1125",
      "risk": 55,
      "source": "DSA",
      "sid": "DSA-4497-1",
      "fixed": {
        "sha256": "6257390076bbf46594f3ba45f0f474bc5105120f708b5ae3d7ad87797fc3b121",
        "name": "hyperv-daemons",
        "version": "4.9.168-1+deb9u5",
        "filename": "hyperv-daemons_4.9.168-1+deb9u5_i386.deb"
      },
      "created_at": "2021-07-19T14:00:48+00:00",
      "updated_at": "2021-07-19T14:00:48+00:00"
    },
    {
      "name": "CVE-2019-3882",
      "risk": 55,
      "source": "DSA",
      "sid": "DSA-4497-1",
      "fixed": {
        "sha256": "6257390076bbf46594f3ba45f0f474bc5105120f708b5ae3d7ad87797fc3b121",
        "name": "hyperv-daemons",
        "version": "4.9.168-1+deb9u5",
        "filename": "hyperv-daemons_4.9.168-1+deb9u5_i386.deb"
      },
      "created_at": "2021-07-19T14:00:49+00:00",
      "updated_at": "2021-07-19T14:00:49+00:00"
    },
    {
      "name": "CVE-2019-3900",
      "risk": 77,
      "source": "DSA",
      "sid": "DSA-4497-1",
      "fixed": {
        "sha256": "6257390076bbf46594f3ba45f0f474bc5105120f708b5ae3d7ad87797fc3b121",
        "name": "hyperv-daemons",
        "version": "4.9.168-1+deb9u5",
        "filename": "hyperv-daemons_4.9.168-1+deb9u5_i386.deb"
      },
      "created_at": "2021-07-19T14:00:49+00:00",
      "updated_at": "2021-07-19T14:00:49+00:00"
    },
    {
      "name": "CVE-2019-10207",
      "risk": 55,
      "source": "DSA",
      "sid": "DSA-4497-1",
      "fixed": {
        "sha256": "6257390076bbf46594f3ba45f0f474bc5105120f708b5ae3d7ad87797fc3b121",
        "name": "hyperv-daemons",
        "version": "4.9.168-1+deb9u5",
        "filename": "hyperv-daemons_4.9.168-1+deb9u5_i386.deb"
      },
      "created_at": "2021-07-19T14:00:50+00:00",
      "updated_at": "2021-07-19T14:00:50+00:00"
    },
    {
      "name": "CVE-2019-10638",
      "risk": 65,
      "source": "DSA",
      "sid": "DSA-4497-1",
      "fixed": {
        "sha256": "6257390076bbf46594f3ba45f0f474bc5105120f708b5ae3d7ad87797fc3b121",
        "name": "hyperv-daemons",
        "version": "4.9.168-1+deb9u5",
        "filename": "hyperv-daemons_4.9.168-1+deb9u5_i386.deb"
      },
      "created_at": "2021-07-19T14:00:50+00:00",
      "updated_at": "2021-07-19T14:00:50+00:00"
    },
    {
      "name": "CVE-2019-10639",
      "risk": 75,
      "source": "DSA",
      "sid": "DSA-4497-1",
      "fixed": {
        "sha256": "6257390076bbf46594f3ba45f0f474bc5105120f708b5ae3d7ad87797fc3b121",
        "name": "hyperv-daemons",
        "version": "4.9.168-1+deb9u5",
        "filename": "hyperv-daemons_4.9.168-1+deb9u5_i386.deb"
      },
      "created_at": "2021-07-19T14:00:51+00:00",
      "updated_at": "2021-07-19T14:00:51+00:00"
    },
    {
      "name": "CVE-2019-13631",
      "risk": 68,
      "source": "DSA",
      "sid": "DSA-4497-1",
      "fixed": {
        "sha256": "6257390076bbf46594f3ba45f0f474bc5105120f708b5ae3d7ad87797fc3b121",
        "name": "hyperv-daemons",
        "version": "4.9.168-1+deb9u5",
        "filename": "hyperv-daemons_4.9.168-1+deb9u5_i386.deb"
      },
      "created_at": "2021-07-19T14:00:51+00:00",
      "updated_at": "2021-07-19T14:00:51+00:00"
    },
    {
      "name": "CVE-2019-13648",
      "risk": 55,
      "source": "DSA",
      "sid": "DSA-4497-1",
      "fixed": {
        "sha256": "6257390076bbf46594f3ba45f0f474bc5105120f708b5ae3d7ad87797fc3b121",
        "name": "hyperv-daemons",
        "version": "4.9.168-1+deb9u5",
        "filename": "hyperv-daemons_4.9.168-1+deb9u5_i386.deb"
      },
      "created_at": "2021-07-19T14:00:52+00:00",
      "updated_at": "2021-07-19T14:00:52+00:00"
    },
    {
      "name": "CVE-2019-14283",
      "risk": 68,
      "source": "DSA",
      "sid": "DSA-4497-1",
      "fixed": {
        "sha256": "6257390076bbf46594f3ba45f0f474bc5105120f708b5ae3d7ad87797fc3b121",
        "name": "hyperv-daemons",
        "version": "4.9.168-1+deb9u5",
        "filename": "hyperv-daemons_4.9.168-1+deb9u5_i386.deb"
      },
      "created_at": "2021-07-19T14:00:52+00:00",
      "updated_at": "2021-07-19T14:00:52+00:00"
    },
    {
      "name": "CVE-2019-14284",
      "risk": 62,
      "source": "DSA",
      "sid": "DSA-4497-1",
      "fixed": {
        "sha256": "6257390076bbf46594f3ba45f0f474bc5105120f708b5ae3d7ad87797fc3b121",
        "name": "hyperv-daemons",
        "version": "4.9.168-1+deb9u5",
        "filename": "hyperv-daemons_4.9.168-1+deb9u5_i386.deb"
      },
      "created_at": "2021-07-19T14:00:53+00:00",
      "updated_at": "2021-07-19T14:00:53+00:00"
    },
    {
      "name": "CVE-2019-15239",
      "risk": 78,
      "source": "DSA",
      "sid": "DSA-4497-1",
      "fixed": {
        "sha256": "6257390076bbf46594f3ba45f0f474bc5105120f708b5ae3d7ad87797fc3b121",
        "name": "hyperv-daemons",
        "version": "4.9.168-1+deb9u5",
        "filename": "hyperv-daemons_4.9.168-1+deb9u5_i386.deb"
      },
      "created_at": "2021-07-19T14:00:53+00:00",
      "updated_at": "2021-07-19T14:00:53+00:00"
    }
  ],
  "risk": 93,
  "vulnerable": 93,
  "outdated": 0,
  "malicious": 0,
  "created_at": "2019-07-20T15:17:47+00:00",
  "updated_at": "2021-03-09T02:47:57+00:00",
  "deleted_at": null
}